package com.chenyang.nse.bussiness.engine.infa.basic.xmlbean;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
import javax.xml.bind.annotation.adapters.CollapsedStringAdapter;
import javax.xml.bind.annotation.adapters.XmlJavaTypeAdapter;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(
   name = "",
   propOrder = {"recurring", "custom"}
)
@XmlRootElement(
   name = "SCHEDULEOPTIONS"
)
public class SCHEDULEOPTIONS {
   @XmlAttribute(
      name = "SCHEDULETYPE",
      required = true
   )
   @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
   protected String scheduletype;
   @XmlElement(
      name = "RECURRING"
   )
   protected RECURRING recurring;
   @XmlElement(
      name = "CUSTOM"
   )
   protected CUSTOM custom;

   public String getSCHEDULETYPE() {
      return this.scheduletype;
   }

   public void setSCHEDULETYPE(String value) {
      this.scheduletype = value;
   }

   public RECURRING getRECURRING() {
      return this.recurring;
   }

   public void setRECURRING(RECURRING value) {
      this.recurring = value;
   }

   public CUSTOM getCUSTOM() {
      return this.custom;
   }

   public void setCUSTOM(CUSTOM value) {
      this.custom = value;
   }
}
